MONGOC_STREAM_UNCORK(3)

NAME
mongoc_stream_uncork - mongoc_stream_uncork()

SYNOPSIS

        int
        mongoc_stream_uncork (mongoc_stream_t *stream);

PARAMETERS

    •   stream: A mongoc_stream_t.

This function shall allow a previously corked socket to pass bytes to the underlying socket.

NOTE:
        Not all streams implement this function. Buffering generally works better.

RETURNS

0 on success, -1 on failure and errno is set.

SEE ALSO:
        mongoc_stream_buffered_new().

        mongoc_stream_cork().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc